Name:          kwordquiz
Version:       15.12.2
Release:       1mamba
Summary:       KWordQuiz - Flash Card Trainer
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/kwordquiz-%{version}.tar.xz
License:       GPL
BuildRequires: cmake
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: kde-workspace-devel
BuildRequires: libgcc
BuildRequires: libkdeedu-devel
BuildRequires: libphonon-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libkeduvocdocument-devel >= %{version}
Provides:      kwordquiz4 = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     kwordquiz4
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KWordQuiz is a tool that gives you a powerful way to master new vocabularies.
It may be a language or any other kind of terminology.

Features:
 * Easy to use;
 * Five different practice modes;
 * Flashcards and Quiz types;
 * Several Vocabulary documents formats supported.

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%posttrans
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/kwordquiz.knsrc
%{_kde5_bindir}/%{name}
%{_kde5_datadir}/%{name}
%{_kde5_kcfgdir}/%{name}.kcfg
%{_kde5_icondir}/hicolor/*/apps/%{name}.png
%{_kde5_icondir}/hicolor/*/mimetypes/application-x-kwordquiz.png
%{_kde5_sharedir}/appdata/org.kde.kwordquiz.appdata.xml
%{_kde5_xdgappsdir}/org.kde.%{name}.desktop
%{_datadir}/knotifications5/kwordquiz.notifyrc
%{_datadir}/kxmlgui5/kwordquiz/kwordquizui.rc
%doc %lang(en) %{_kde5_htmldir}/en/%{name}
%doc AUTHORS COPYING COPYING.DOC COPYING.LIB
# README TODO

%changelog
* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.1-1mamba
- automatic version update by autodist

* Thu Jan 07 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.0-2mamba
- rebuilt with libkeduvocdocument 15.12.0

* Sun Dec 20 2015 Automatic Build System <autodist@mambasoft.it> 15.12.0-1mamba
- automatic version update by autodist

* Tue Nov 10 2015 Automatic Build System <autodist@mambasoft.it> 15.08.3-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 15.08.2-1mamba
- automatic version update by autodist

* Sun Sep 20 2015 Automatic Build System <autodist@mambasoft.it> 15.08.1-1mamba
- automatic version update by autodist

* Sun Aug 23 2015 Automatic Build System <autodist@mambasoft.it> 15.08.0-1mamba
- automatic version update by autodist

* Thu Jul 02 2015 Automatic Build System <autodist@mambasoft.it> 15.04.3-1mamba
- automatic version update by autodist

* Wed Jun 03 2015 Automatic Build System <autodist@mambasoft.it> 15.04.2-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 15.04.1-1mamba
- automatic version update by autodist

* Sun May 10 2015 Automatic Build System <autodist@mambasoft.it> 15.04.0-1mamba
- automatic version update by autodist

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Fri Aug 17 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Sat May 05 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Wed Mar 28 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Wed Dec 14 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Sun Oct 09 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.1-1mamba
- package created by autospec
